// busicalc.ch for v1.40
STATIC bSaveErrorBlock

#ifndef CRLF
#define CRLF Chr(13)+Chr(10)
#endif

#ifndef SW_SHOW_NORMAL
#define SW_SHOW_NORMAL 1
#endif

#ifndef COL_PX
#define COL_PX  10
#define ROW_PX  20
#endif

#define EXCLAIM           0002
#define EURO              0003
#define HAND_CUR          0100
#define GJDLOGO           0150
#define PB_PND_EUR        0200
#define PB_DLR_PND        0300
#define PB_DLR_EUR        0400
#define PB_SET_RATE       0500
#define PB_SET_DEC        0600
#define PB_PLUS           0700
#define PB_MINUS          0800
#define PB_MULTIPLY       0900
#define PB_DIVIDE         1000
#define PB_EQUALS_ENA     1100
#define PB_EQUALS_DIS     1101
#define PB__0_ENA         1200
#define PB__0_DIS         1201
#define PB__1_ENA         1300
#define PB__1_DIS         1301
#define PB__2_ENA         1400
#define PB__2_DIS         1401
#define PB__3_ENA         1500
#define PB__3_DIS         1501
#define PB__4_ENA         1600
#define PB__4_DIS         1601
#define PB__5_ENA         1700
#define PB__5_DIS         1701
#define PB__6_ENA         1800
#define PB__6_DIS         1801
#define PB__7_ENA         1900
#define PB__7_DIS         1901
#define PB__8_ENA         2000
#define PB__8_DIS         2001
#define PB__9_ENA         2100
#define PB__9_DIS         2101
#define PB_POINT_ENA      2200
#define PB_POINT_DIS      2201
#define PB_CLEAR_ACCUM    2300
#define PB_CLEAR_ENTRY    2400
#define PB_MEM_CLEAR      2500
#define PB_PND_TO_EUR     2601
#define PB_PND_TO_DLR     2602
#define PB_DLR_TO_EUR     2603
#define PB_EUR_TO_PND     2701
#define PB_DLR_TO_PND     2702
#define PB_EUR_TO_DLR     2703
#define PB_NEGATE         2800
#define PB_PERCENT        2900
#define PB_N_FACTORIAL    2950
#define PB_RECIPROCAL     3000
#define PB_PI             3050
#define PB_SQR_ROOT       3100
#define PB_NTH_ROOT       3150
#define PB_SQUARED        3200
#define PB_NTH_POWER      3250
#define PB_MEM_ADD        3500
#define PB_MEM_SUB        3600
#define PB_MEM_RECALL     3700
#define PB_BSPACE_ENA     3800
#define PB_BSPACE_DIS     3801
#define PB_PASTE          3900
#define PB_COPY           3901
#define MAIN_DISPLAY      4000
#define MEM_DISPLAY       4001
#define AUX_DISPLAY       4002
#define PB_OPEN_UP        5000
#define PB_MIN_SPACE      5001
#define PB_L_BRACKET      5010
#define PB_L_BRACKET_DIS  5011
#define PB_R_BRACKET      5012
#define PB_R_BRACKET_ENA  5013
#define BM_L_BRACKET      5020
#define BM_R_BRACKET      5022
#define WHITE_BLANK       6000
#define NO_1              6001
#define NO_2              6002
#define NO_3              6003
#define NO_4              6004
#define NO_5              6005
#define NO_6              6006
#define NO_7              6007
#define NO_8              6008
#define NO_9              6009
#define NO_10             6010
#define NO_11             6011
#define NO_12             6012
#define NO_13             6013
#define NO_14             6014
#define NO_15             6015
#define NO_16             6016
#define BUSICALC          9000
#define PB_SET            9001
#define PB_HELP           9004
#define PB_INFO           9005
#define PB_CLOSE          9006
#define PB_CLOSE_1E       9007
#define PB_NEXT_0E        9008
#define PB_PREV_0E        9009
#define PB_VALIDATE       9010
#define PB_SAVE_1E        9011
#define BUSICALC_HA       9100
#define BM_NIL_BLANK     10000
#define BM_EUR           10200
#define BM_DLR           10300
#define BM_PND           10400
***** SEE PROGRAMMING NOTE IN ElseIf Chr(nKey) = '='
***** REGARDING BM IDs HIGHER THAN BM_PLUS
#define BM_PLUS          10700
#define BM_MINUS         10800
#define BM_MULTIPLY      10900
#define BM_DIVIDE        11000
#define BM_EQUALS        11100
#define BM_PND_TO_EUR    12601
#define BM_DLR_TO_EUR    12602
#define BM_DLR_TO_PND    12603
#define BM_EUR_TO_PND    12701
#define BM_EUR_TO_DLR    12702
#define BM_PND_TO_DLR    12703
#define BM_NEGATE        12800
#define BM_PERCENT       12900
#define BM_RECIP         13000
#define BM_SQR_ROOT      13100
#define BM_NTH_ROOT      13101
#define BM_SQUARED       13200
#define BM_NTH_POWER     13201
#define BM_N_FACTORIAL   13300
